patches and low-level development discussion
 help / color / mirror / code / Atom feed
From: Demi Marie Obenour <demiobenour@gmail.com>
To: Spectrum OS Development <devel@spectrum-os.org>
Cc: Demi Marie Obenour <demiobenour@gmail.com>, Alyssa Ross <hi@alyssa.is>
Subject: [PATCH 1/4] scripts/run-qemu.sh: better error checks & formatting
Date: Fri, 07 Nov 2025 22:41:54 -0500	[thread overview]
Message-ID: <20251107-simple-sh-quote-fix-v1-1-5f2d35260c4d@gmail.com> (raw)
In-Reply-To: <20251107-simple-sh-quote-fix-v1-0-5f2d35260c4d@gmail.com>

No other functional change intended.

Signed-off-by: Demi Marie Obenour <demiobenour@gmail.com>
---
 scripts/run-qemu.sh | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

diff --git a/scripts/run-qemu.sh b/scripts/run-qemu.sh
index 64fd29259ab108bc547cb7c74623ae9dc288b3b7..9c6c8193bbeba5916038c82d8f76992051719c19 100755
--- a/scripts/run-qemu.sh
+++ b/scripts/run-qemu.sh
@@ -1,11 +1,15 @@
-#!/bin/sh -ue
+#!/bin/sh --
 # SPDX-FileCopyrightText: 2023-2025 Alyssa Ross <hi@alyssa.is>
 # SPDX-License-Identifier: EUPL-1.2+
 
 # This script wraps around QEMU to paper over platform differences,
 # which can't be handled portably in Make language.
+set -uef
+if [ -n ${ARCH+test} ]; then
+	ARCH=$(uname -m)
+fi
 
-case "${ARCH:="$(uname -m)"}" in
+case $ARCH in
 	aarch64)
 		machine=virt,accel=kvm:tcg,gic-version=3,iommu=smmuv3
 		;;
@@ -17,13 +21,13 @@ case "${ARCH:="$(uname -m)"}" in
 esac
 
 i=0
-while [ $i -lt $# ]; do
-	arg="$1"
+while [ "$i" -lt "$#" ]; do
+	arg=$1
 	shift
 
-	case "$arg" in
+	case $arg in
 		-append)
-			set -- "$@" -append "${append:+$append }$1"
+			set -- "$@" -append ${append:+"$append "}"$1"
 			i=$((i + 2))
 			shift
 			continue
@@ -31,10 +35,10 @@ while [ $i -lt $# ]; do
 		-device)
 			IFS=,
 			for opt in $1; do
-				case "$opt" in
-					*-iommu)
-						unset iommu
-						;;
+				case $opt in
+				*-iommu)
+					unset iommu
+					;;
 				esac
 				break
 			done

-- 
2.51.2


  reply	other threads:[~2025-11-08  3:43 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-11-08  3:41 [PATCH 0/4] Minor improvements to scripts/run-qemu.sh Demi Marie Obenour
2025-11-08  3:41 ` Demi Marie Obenour [this message]
2025-11-09 11:28   ` [PATCH 1/4] scripts/run-qemu.sh: better error checks & formatting Alyssa Ross
2025-11-13 12:23   ` Alyssa Ross
2025-11-13 15:36     ` Demi Marie Obenour
2025-11-13 16:56       ` Alyssa Ross
2025-11-13 19:29         ` Demi Marie Obenour
2025-11-08  3:41 ` [PATCH 2/4] scripts/run-qemu.sh: decrease indentation Demi Marie Obenour
2025-11-08  3:41 ` [PATCH 3/4] scripts/run-qemu.sh: Preserve ,, in QEMU arguments Demi Marie Obenour
2025-11-13 12:28   ` Alyssa Ross
2025-11-13 15:36     ` Demi Marie Obenour
2025-11-13 19:30     ` Demi Marie Obenour
2025-11-08  3:41 ` [PATCH 4/4] scripts/run-qemu.sh: Unset variables from the environment Demi Marie Obenour
2025-11-13 12:27   ` Alyssa Ross
2025-11-13 19:30     ` Demi Marie Obenour
2025-11-14 11:22   ` Alyssa Ross

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20251107-simple-sh-quote-fix-v1-1-5f2d35260c4d@gmail.com \
    --to=demiobenour@gmail.com \
    --cc=devel@spectrum-os.org \
    --cc=hi@alyssa.is \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://spectrum-os.org/git/crosvm
	https://spectrum-os.org/git/doc
	https://spectrum-os.org/git/mktuntap
	https://spectrum-os.org/git/nixpkgs
	https://spectrum-os.org/git/spectrum
	https://spectrum-os.org/git/ucspi-vsock
	https://spectrum-os.org/git/www

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).